<template>
  <div>
    <h1 class="mb-5">Login</h1>
    <b-form @submit.stop.prevent="onSubmit()">
      <!-- usernames -->
      <b-form-group
        id="input-group-1"
        label="User Name"
        label-for="input-1"
        description="We'll never share your email with anyone else."
      >
        <b-form-input
          id="input-1"
          v-model="form.name"
          type="text"
          placeholder="Enter name"
        ></b-form-input>
      </b-form-group>
      <!-- password -->
      <b-form-group id="input-group-2" label="Your Password:" label-for="input-2">
        <b-form-input
          id="input-2"
          v-model="form.password"
          placeholder="Enter password"
          type="password"
        ></b-form-input>
      </b-form-group>

      <!-- submit -->
      <b-button type="submit" variant="primary">Submit</b-button>
      <nuxt-link to="/sign-up">Register</nuxt-link>
    </b-form>
  </div>
</template>

<script>
import {  mapActions } from 'vuex'
export default {
  data() {
    return {
      form: {
        password: '',
        name: '',
      },
    }
  },
  methods: {
    ...mapActions(['signIn']),
      onSubmit() {
       let res = this.signIn(this.form.name);
       res.then( checkSuccess => {
         if ( checkSuccess) {
          window.location.href = '/dashboard'
         }
       });
    },
  },
}
</script>
